summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuillaume Brogi2017-05-06 21:08:06 +0200
committerGuillaume Brogi2017-05-28 21:53:03 +0200
commit36cd5bdca32888014f04593efa0a8d77c1978629 (patch)
tree57d5a051c908ac117fed0200af4f741ce39df3b9
downloadaur-36cd5bdca32888014f04593efa0a8d77c1978629.tar.gz
First package attempt for git-repo
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD26
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6d9d57f29ed
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = git-repo-git
+ pkgdesc = Tool for managing remote repositories from your git CLI!
+ pkgver = 1.10.2.r1.g1181207
+ pkgrel = 1
+ url = https://github.com/guyzmo/git-repo
+ arch = any
+ license = GPL2
+ makedepends = python-setuptools
+ makedepends = python-pip
+ depends = python
+ depends = python-docopt
+ depends = python-progress
+ depends = python-dateutil
+ depends = python-lxml
+ depends = python-gitpython
+ depends = python-github3
+ depends = python-gitlab>=0.18
+ depends = python-gogs-client
+ depends = python-pybitbucket_fork-git
+ source = git-repo-git::git+https://github.com/guyzmo/git-repo
+ sha256sums = SKIP
+
+pkgname = git-repo-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7ff28038bef
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Guillaume Brogi <gui-gui at netcourrier dot com>
+pkgname=git-repo-git
+pkgver=1.10.2.r1.g1181207
+pkgrel=1
+pkgdesc="Tool for managing remote repositories from your git CLI!"
+arch=('any')
+url="https://github.com/guyzmo/git-repo"
+license=('GPL2')
+depends=('python' 'python-docopt' 'python-progress' 'python-dateutil' 'python-lxml' 'python-gitpython' 'python-github3' 'python-gitlab>=0.18' 'python-gogs-client' 'python-pybitbucket_fork-git')
+makedepends=('python-setuptools' 'python-pip')
+source=("${pkgname}::git+${url}")
+sha256sums=(SKIP)
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ python setup.py install --root="${pkgdir}" --optimize=1
+}
+